zorba-coders team mailing list archive
-
zorba-coders team
-
Mailing list archive
-
Message #00066
[Merge] lp:~markos-za/zorba/markos-bugs into lp:zorba
Markos Zaharioudakis has proposed merging lp:~markos-za/zorba/markos-bugs into lp:zorba.
Requested reviews:
Markos Zaharioudakis (markos-za)
For more details, see:
https://code.launchpad.net/~markos-za/zorba/markos-bugs/+merge/76591
Added script to compare ctest logs.
--
https://code.launchpad.net/~markos-za/zorba/markos-bugs/+merge/76591
Your team Zorba Coders is subscribed to branch lp:zorba.
=== added file 'test/rbkt/Scripts/cmp_ctest_logs'
--- test/rbkt/Scripts/cmp_ctest_logs 1970-01-01 00:00:00 +0000
+++ test/rbkt/Scripts/cmp_ctest_logs 2011-09-22 14:20:37 +0000
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Copyright 2006-2008 The FLWOR Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if test "$#" != "2"; then
+ echo Args: dir1/LastTestsFailed.log[.gz] dir2/LastTestsFailed.log[.gz]
+ exit 1
+fi
+
+TMP1=`mktemp /tmp/XXXXXX`
+
+mycat()
+{
+ if test "`basename $1 .gz`" != "`basename $1`"; then zcat $1; else cat $1; fi
+}
+
+mycat $2 | cut -f2 -d: | sort >$TMP1
+
+mycat $1 | cut -f2 -d: | sort | diff -U0 $TMP1 - | tail -n +3 | egrep -v '^@'
+
+rm -f $TMP1
Follow ups